Subject: [SAVA] Next steps regarding SAVA

From: jari.arkko at piuha.net (Jari Arkko)
Date: Fri, 22 Jun 2007 10:42:04 +0300

Hi all,

The situation with the SAVA BOF proposal is that we will
have time in the int-area open meeting to talk about this,
but I did not schedule the 2nd BOF this time because I felt
that it is too early for our second attempt. I think we have
made significant progress from Prague, however, as well
as some recent activity in terms of drafts. I believe we
can have a successful result of this activity. The progress
is mainly in terms of being able to divide the problem
space into manageable pieces, and emerging interest
from a number of people for some of those pieces.

Some of the next steps I would like to see:

1. Focus the first step of the effort on a sub-problem of
    the entire problem space. Based on my discussion
    with a number of people, the local subnet seems like
    something where several different groups have an
    interest in. See also item 2.

    I realize that this part is not the most technically
    or scientifically interesting part. Sometimes we have
    to work on one thing first first, however -- the
    rest can follow as a next step.

2. Ensure that the core ideas have interest from
    a number of teams. I see positive signs that
    we can get a few key people interested if the
    scope is defined appropriately.

3. Work on additional and updated drafts (and submit
    them -- I see more drafts personally than what has
    been sent on the list, and even less has been submitted
    to the IETF).

    I think we need
    - an updated framework
    - an updated problem definition document (this and
      the previous one have to have enough details, particularly
      under the topic of the reduced scope)

4. Multiple solution drafts fitting the reduced scope topic.

    For instance, if we are talking about the local subnet
    problem, we could have drafts about the Cernet
    switch based solution, maybe Fred Baker's CGA based
    solution, DHCP-based solution, something that works
    for IPv6 stateless address autoconfig, solutions for
    specific access technology, etc.

5. Presentation for int-area

    The presentation should have material about the
    proposed new scope and pointers to ideas for solutions.
    The main goal of the presentation is to check whether
    the new direction is in line with what the rest of the
    IETF thinks is right, and to solicit people to work on
    the problem.

6. Team meetings. We need to get the people interested
    on this to talk to each other on a number of occasions.
    Paul, can we set up a conference call between the
    key persons sometime in the next two weeks to talk
    about this plan and the next steps? In IETF-69, we
    should reserve time so that the people interested
    in this can progress the work (perhaps in a bar).
    There may also be a need to talk after IETF-69,
    and when more people/drafts are in place.

Jari